coupang
POST/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/orders/invoices2609170000

Uploading Waybills

# 01

Summary

Uploading Waybills

# 02

Details

Available buyer market: Korean

Upload waybills (invoices) to change the order status to Shipped.

You can only upload waybills for orders at Product in Preparation.

To process split shipping, see FAQ for waybill uploading examples.

A duplicate waybill error may occur if the same number is entered within 6 months.

(However, you can enter the same waybills number for different orders with the same recipient name and address.)

If unable to tract shipping due to incorrectly-entered waybill information, or if a customer requests for cancellation because the waybill information has not been registered within the deadline, the seller is responsible for the shipping fee incurred.

Path

POST/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/orders/invoices

Example endpoint

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/A00012345/orders/invoices

URL API Name

UPDATE_ORDER_SHIPPING_INFO
# 03

Path parameters

NameTypeDescription
vendorId*string
Vendor ID

Unique code Coupang issues to vendors
e.g. A00012345
# 04

Request body

Request parameters

Body parameter

NameTypeDescription
vendorId*string
Vendor ID

Unique code Coupang issues to vendors

e.g. A00012345
orderSheetInvoiceApplyDtos*object[]
List of orders to be changed to Shipped
shipmentBoxId*
orderSheetInvoiceApplyDtos[].shipmentBoxId
integer
Delivery number (=bundled delivery number)
shipmentBoxId of product already shipped is changed for split deliveries.
(check with
orderId via single PO query API)
The ID is required, otherwise uploading will fail.
orderId*
orderSheetInvoiceApplyDtos[].orderId
integer
Order number
deliveryCompanyCode*
orderSheetInvoiceApplyDtos[].deliveryCompanyCode
string
Courier code
Please input the right courier code otherwise the request would fail.

Please Go to Courier Code
invoiceNumber*
orderSheetInvoiceApplyDtos[].invoiceNumber
string
Waybill (invoice) number
Selected for split delivery. If not, enter blank "" .
For split deliveries enter either the waybill number or the estimated shipment date (one of the two).
For direct courier deliveries (DIRECT), only random numbers can be entered. Delivery tracking is not supported.
vendorItemId*
orderSheetInvoiceApplyDtos[].vendorItemId
integer
optionId
Enter the option ID of the product that the waybill is to be uploaded for.

For split shipping, submit each

vendorItemId of the

shipmentBoxId.
splitShipping*
orderSheetInvoiceApplyDtos[].splitShipping
boolean
Split shipping Y/N
● false (single shipping)
Shipping all items in 1 order with 1 waybill number
● true (split shipping)
If splitting items in 1 order and shipping them separately with several waybill numbers
* Split shipping example (Click)
preSplitShipped*
orderSheetInvoiceApplyDtos[].preSplitShipped
boolean
Split-shipped Y/N
● false
If not split-shipped (=splitshipping false)
If processing split shipping for the order number for the first time
● true
If there is already a split-shipped item in the order number
estimatedShippingDate*
orderSheetInvoiceApplyDtos[].estimatedShippingDate
string
(Split shipping) estimated shipping date
Enter in YYYY-MM-DD format for split shipping (optional)
if date is not entered, enter blank as "".
Enter either the waybill number or the estimated shipping date.
Request exampleapplication/json
{
  "vendorId": "A00034612",
  "orderSheetInvoiceApplyDtos": [
    {
      "shipmentBoxId": 123456789012345680,
      "orderId": 4000019469460,
      "vendorItemId": 3823839899,
      "deliveryCompanyCode": "KDEXP",
      "invoiceNumber": "20180731040123",
      "splitShipping": false,
      "preSplitShipped": false,
      "estimatedShippingDate": ""
    },
    {
      "shipmentBoxId": 123456789012345680,
      "orderId": 4000019469460,
      "vendorItemId": 3834780191,
      "deliveryCompanyCode": "KDEXP",
      "invoiceNumber": "20180731040123",
      "splitShipping": false,
      "preSplitShipped": false,
      "estimatedShippingDate": ""
    }
  ]
}
# 05

Response body

Response message

NameTypeDescription
codestring
Server response code
messagestring
Server response message
dataobject
responseCode
data.responseCode
integer
Status message on the total request result
code message remark
-1 NONE No result
0 SUCCESS Successful
1 PARTIAL_ERROR Partially failed
99 FAILED Failed
responseMessage
data.responseMessage
string
Status message on the total request result
responseList
data.responseList
object[]
Result set for individual cases
shipmentBoxId
data.responseList[].shipmentBoxId
integer
Delivery number
succeed
data.responseList[].succeed
boolean
Success Y/N
resultCode
data.responseList[].resultCode
string
Result code
code retry required remark
OK false Success
NOT_FOUND_SHIPMENT_BOX false This waybill number does not exist.
INVALID_STATUS false Delivery status is invalid.
PERMISSION_DENIED true Permission denied.
DUPLICATE_INVOICE_NUMBER true The waybill (invoice) number has already been saved.
INVALID_INVOICE_NUMBER true The waybill number is invalid.
ORDER_DELIVERY_CANCELED false Canceled order OR order being prepared to be shipped that has been requested to be suspended.
ORDER_DELIVERY_PARTIAL_STOP_REQUESTED true Shipment suspension requested
ORDER_DELIVERY_CANCELED_HOLDING_FOR_CANCEL true Order pending cancellation
UNDEFINED_ERROR_OCCUR true Unidentified error
NOT_ALLOW_INVOICE_NUMBER_RE_UPLOAD false This waybill number has already been saved and cannot be registered. (Condition to uploading same waybill number: Same orderer/recipient info)
NOT_FOUND_INVOICE_NUMBER false Estimated shipping date has already been registered. Please enter the waybill number.
NOT_FOUND_VENDOR_ITEM false Missing item in bundle
NOT_ALLOW_VENDOR_DIRECT false Split shipping unavailable for Direct Courier Delivery orders.
PSD_NOT_ALLOW_TO_CHANGE false You cannot change the estimated shipping date once registered.
NOT_ALLOW_SEPARATE_AFTER_NORMAL_DELIVERY false You cannot request split shipping after submitting regular shipping.
IS_SEPARATE_MUST_BE_TRUE_WHEN_SEPARATE_DELIVERY false You cannot request regular shipping after submitting split shipping. Select Y for split shipping.
NOT_ALLOW_SEPARATE_WHEN_ONE_VENDOR_ITEM false You cannot request split shipping for 1 item.
retryRequired
data.responseList[].retryRequired
boolean
Retry Y/N
resultMessage
data.responseList[].resultMessage
string
Result message

Response Example

{
  "code": "200",
  "message": "OK",
  "data": {
    "responseCode": 0,
    "responseMessage": "SUCCESS",
    "responseList": [
      {
        "shipmentBoxId": 123456789012345680,
        "succeed": true,
        "resultCode": "OK",
        "retryRequired": false,
        "resultMessage": null
      }
    ]
  }
}
# 06

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400 (check request variable)

Incorrect waybill (invoice) number format for CJ Logistics.

[6255*****632]

Check if you have entered the correct waybill number.

400400 (check request variable)

CJ Logistics waybill number must be digits only.

InvoiceNumber must be number. [6257-62-10*]

Check if you have entered the correct waybill number. Make sure the number does not include anything other than numbers.

400400 (check request variable)

Waybill number (invoice number) of Direct Courier Delivery (DIRECT) orders must be digits only. [***]

Enter the waybill number of Direct Courier Delivery (DIRECT) orders in digits.

e.g. 202002031830

400400 (check request variable)

invalid courier code:

Check if you have entered the correct courier code (deliveryCompanyCode).

400400 (check request variable)

Incorrect waybill (invoice) number format for OO Logistics. [956****734]

Check if you have entered the correct waybill number.